Bug 1260674 - php: Multiple vulnerabilities related to PCRE functions
php: Multiple vulnerabilities related to PCRE functions
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150824,repor...
: Security
Depends On: 1260676
Blocks: 1260756
  Show dependency treegraph
 
Reported: 2015-09-07 08:39 EDT by Adam Mariš
Modified: 2015-10-13 08:21 EDT (History)
15 users (show)

See Also:
Fixed In Version: php 5.4.45, php 5.5.29, php 5.6.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 08:21:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-07 08:39:20 EDT
The pcre_exec() function generates a list of offsets, each consisting of a start and an end position within the subject string. Throughout the code it is often assumed that for each offset, the start position is smaller than or equal to the end position. However, certain regular expressions break this assumption. This can lead to denial-of-service, or possibly to remote code execution.

Upstream report:

https://bugs.php.net/bug.php?id=70345

Upstream patch:

http://git.php.net/?p=php-src.git;a=commit;h=03964892c054d0c736414c10b3edc7a40318b975
Comment 1 Adam Mariš 2015-09-07 08:39:50 EDT
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1260676]
Comment 2 Fedora Update System 2015-09-14 18:20:01 EDT
php-5.6.13-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-09-14 19:18:37 EDT
php-5.6.13-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-09-18 14:44:31 EDT
php-5.6.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.